## org.biojavax.bio.seq
Class RichSequence.IOTools.SingleRichSeqIterator

    java.lang.Object
      org.biojavax.bio.seq.RichSequence.IOTools.SingleRichSeqIterator

All Implemented Interfaces:
  SequenceIterator, BioEntryIterator, RichSequenceIterator

Enclosing class:
  RichSequence.IOTools

    public static final class RichSequence.IOTools.SingleRichSeqIterator

extends Object
implements RichSequenceIterator

Used to iterate over a single rich sequence

Constructor Summary
`RichSequence.IOTools.SingleRichSeqIterator(Sequence seq)` Creates an iterator over a single sequence.

Method Summary
`boolean` `hasNext()` Returns whether there are more sequences to iterate over.
`BioEntry` `nextBioEntry()`
`RichSequence` `nextRichSequence()`
`Sequence` `nextSequence()` Returns the next sequence in the iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RichSequence.IOTools.SingleRichSeqIterator

    public RichSequence.IOTools.SingleRichSeqIterator(Sequence seq)

  Creates an iterator over a single sequence.

  Parameters:
    `seq` - the sequence to iterate over.

Method Detail

### hasNext

    public boolean hasNext()

  Returns whether there are more sequences to iterate over.

  Specified by:
    `hasNext` in interface `SequenceIterator`
  Specified by:
    `hasNext` in interface `BioEntryIterator`
  Returns:
    true if another `RichSequence` is available

### nextSequence

    public Sequence nextSequence()

  Returns the next sequence in the iterator.

  Specified by:
    `nextSequence` in interface `SequenceIterator`
  Returns:
    a `RichSequence`

### nextBioEntry

    public BioEntry nextBioEntry()

  Specified by:
    `nextBioEntry` in interface `BioEntryIterator`
  Returns:
    a `RichSequence`

### nextRichSequence

    public RichSequence nextRichSequence()

  Specified by:
    `nextRichSequence` in interface `RichSequenceIterator`
  Returns:
    a `RichSequence`